Skip to main content
inventory

List inventory items

Returns a page of inventory items for the studio the API key is issued for. For a free text match across serial, model, product and manufacturer names, use search~"text" where "text" is the free search field

GET
/v1/inventory
beam-api-keystringheaderrequired
pageintegerquerydefault:1

1-based page number.

Required range: 1 <= x
limitintegerquerydefault:20

Page size, 1-100, default 20.

Required range: 1 <= x <= 100
qstringquery

Used to search and narrow results. A query consists of multiple "clauses" joined by " AND ". "OR" and grouping is not currently supported.

Clauses are made up of {field}{operator}{value}.

{field} must be either "search" when generally searching, or a property from the response body. Use dot notation when the property is nested. When response bodies are paginated, this will be a property from the nested items.

{operator} must be one of:

  • '~' for partial, case insensitive matches
  • ':' for exact, case insensitive matches
  • '>', '<', >=', '<=' for greater than, less than, gte, lte, respectively

{value} supports:

  • string: strings must be double quoted ( e.g. name:"john" ). Nested quotes can be escaped ( e.g. name:"John"" ). Supports ~ and : operators.
  • number: numbers can be decimals or integers, and support >, <, :, >=, <= operators.
  • boolean: use true or false without quotes. supports : operator only. e.g. isActive:true
  • null: use null without quotes to assert existence. supports : operator only. e.g. endDate:null
  • array: use square brackets to search for multiple values. Values must all be the same type. e.g. name:["john", "jill"]

Negate a clause with a leading - character. e.g. -age:20 would find all records where age is not 20.

This endpoint supports the following fields:

  • products.model — The model number of the product this item is an instance of
  • products.name — The name of the product this item is an instance of
  • manufacturer.name — The name of the manufacturer of the product this item is an instance of
  • serial — The serial number of this item
  • fields.{customFieldId} — a custom field value
  • search — a free text match across the record
Example: products.model:"ABC123" AND products.name~"Sony FX6"

Response

application/json

A page of inventory items

currentPagenumberrequired
hasMorebooleanrequired
resultsobject[]required
totalnumberrequired
totalPagesnumberrequired